Subject: Re: Persist injection points across server restarts

From: Michael Paquier <[email-masked]>
Date: Wed, 30 Apr 2025 16:27:11 +0900

On Wed, Apr 30, 2025 at 10:52:51AM +0500, Andrey Borodin wrote:
> Did you consider custom resource manager to WAL-log injection
> points? This way we do not need to flush them explicitly, they
> always will be persistent.

WAL-logging would not work in the case I've faced, because we need a
point much earlier than the startup process beginning any redo
activity, so I don't think that this would be useful.
--
Michael